Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class Container

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.Container

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Container

extends Area

Container area for inline container. This area should be placed in a viewport as a result of the inline container formatting object. This allows an inline area to have blocks as children.

See Also:
  Serialized Form

Field Summary
`protected java.util.List<Block>` | `blocks` The list of block areas stacked inside this container
`protected int` | `width` The width of this container

Fields inherited from class org.apache.fop.area.Area
`bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`Container()` Create a new container area

Method Summary
`void` | `addBlock(Block block)` Add the block to this area.
`java.util.List` | `getBlocks()` Get the block areas stacked inside this container area.
`int` | `getWidth()` Get the width of this container area.

Methods inherited from class org.apache.fop.area.Area
`addChildArea, addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setIPD, setTraits, setWritingModeTraits, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### blocks

    protected java.util.List<Block> blocks

  The list of block areas stacked inside this container

### width

    protected int width

  The width of this container

Constructor Detail

### Container

    public Container()

  Create a new container area

Method Detail

### addBlock

    public void addBlock(Block block)

  Add the block to this area.

  Parameters:
    `block` - the block area to add

### getBlocks

    public java.util.List getBlocks()

  Get the block areas stacked inside this container area.

  Returns:
    the list of block areas

### getWidth

    public int getWidth()

  Get the width of this container area.

  Returns:
    the width

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.